Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all payment wallets

How to fetch a collection of payment wallets via API

To fetch a collection of payment wallets, send a GET request to the /api/2026-05/payment_wallets endpoint.

Request

GET https://yourdomain.commercelayer.io/api/2026-05/payment_wallets

Example

The following request fetches a collection of payment wallets:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "payment_wallets",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN"
      },
      "attributes": {
        "status": "succeeded",
        "token": "xxxx-yyyy-zzzz",
        "customer_token": "cus_xxxyyyzzz",
        "payment_token": "pm_xxxyyyzzz",
        "options": {
          "usage": "on_session"
        },
        "payment_data": {},
        "request_data": {},
        "response_data": {},
        "requires_action_at": "2018-01-01T12:00:00.000Z",
        "processing_at": "2018-01-01T12:00:00.000Z",
        "succeeded_at": "2018-01-01T12:00:00.000Z",
        "canceled_at": "2018-01-01T12:00:00.000Z",
        "expires_at": "2018-01-01T12:00:00.000Z",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "customer": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/customer",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/customer"
          }
        },
        "payment_setting": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/payment_setting",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/payment_setting"
          }
        },
        "payment_sessions": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/payment_sessions",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/payment_sessions"
          }
        },
        "order_subscriptions": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/order_subscriptions",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/order_subscriptions"
          }
        },
        "attachments": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/attachments",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/attachments"
          }
        },
        "events": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/events",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/events"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "created_with_version": "2026-05"
      }
    },
    {
      "other": "... 9 payment_wallets (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74",
    "api_versions": [
      "2026-05"
    ]
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/2026-05/payment_wallets?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of payment wallets can be sorted by the following fields:

Attributes

  • status

  • customer_token

  • requires_action_at

  • processing_at

  • succeeded_at

  • canceled_at

  • expires_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Filterable fields

The list of payment wallets can be filtered by the following fields:

Attributes

  • status

  • token

  • customer_token

  • payment_token

  • requires_action_at

  • processing_at

  • succeeded_at

  • canceled_at

  • expires_at

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • customer

  • payment_setting

  • payment_sessions

  • order_subscriptions

  • attachments

  • events

Last updated